package com.nononsenseapps.feeder.ui.robots

import androidx.compose.ui.test.*
import androidx.compose.ui.test.junit4.ComposeTestRule

class EditFeedScreenRobot(
    private val testRule: ComposeTestRule,
) : AndroidRobot() {
    fun scrollToBottom() {
        testRule
            .onNode(hasScrollAction())
            .performTouchInput {
                swipeUp()
            }
    }

    infix fun pressOKButton(block: FeedScreenRobot.() -> Unit): FeedScreenRobot {
        testRule
            .onNodeWithText("OK")
            .assertIsDisplayed()
            .performClick()

        return FeedScreenRobot(testRule).apply { block() }
    }
}
